<?php

try {
	/*
	* All Data
	*/

	$_mobulePrefix = 'rewards';


	$_attributes 	= array(
		'customer' => array(
			'rewards_available_points',
			'rewards_spent_points',
			'rewards_activated_points',
		),
		'catalog_product' => array(
			'disallow_earning_points',
			'disallow_apply_points',
			'additional_purchase_points',
		),
	);

	$_tables		= array(
		'rewards_history',
		'rewards_points',
	);

	$_tablesFields = array(
		'sales/quote_address' => array(
			'tax_rpdiscount_amount',
			'base_tax_rpdiscount_amount',
			'rpdiscount_amount',
			'base_rpdiscount_amount',
		),
		'sales/order' => array(
			'tax_rpdiscount_amount',
			'base_tax_rpdiscount_amount',
			'rpdiscount_amount',
			'base_rpdiscount_amount',
		),
	);


	$_pathes = array(
		'/app/code/community/Plumrocket/Rewards',
		'/app/code/local/Plumrocket/Rewards',
		'/app/etc/modules/Plumrocket_Rewards.xml',

		'/app/design/frontend/base/default/template/rewards',
		'/app/design/frontend/base/default/layout/rewards.xml',
		'/app/design/frontend/default/default/template/rewards',
		'/app/design/frontend/default/default/layout/rewards.xml',
		'/app/design/adminhtml/default/default/layout/rewards.xml',
		'/app/design/adminhtml/default/default/template/rewards',

		'/skin/frontend/base/default/css/plumrocket/rewards',
		'/skin/frontend/base/default/images/plumrocket/rewards',
		'/skin/frontend/base/default/js/plumrocket/rewards',
		'/skin/frontend/default/default/css/plumrocket/rewards',
		'/skin/frontend/default/default/images/plumrocket/rewards',
		'/skin/frontend/default/default/js/plumrocket/rewards',
		'/skin/adminhtml/default/default/js/plumrocket/rewards',

		'/app/locale/en_US/Plumrocket_Rewards.csv',
	);

	$_cmsBlocks = array();

	/* end data */

	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");
	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');

	//remove attribute
	foreach($_attributes as $entityTypeName => $attributeNames){
		$entityTypeId = $setup->getEntityTypeId($entityTypeName);
		foreach($attributeNames as $attributeName){
			$setup->removeAttribute($entityTypeId, $attributeName);
		}
	}

	//remove tables
	foreach($_tables as $_tableName){
		$setup->run("DROP TABLE IF EXISTS `" . $resource->getTableName($_tableName) . "`;");
	}

	//remove tables fields
	foreach($_tablesFields as $_tableName => $_fields){
		foreach($_fields as $_field){
			try{
				$setup->run("ALTER TABLE `" . $resource->getTableName($_tableName) . "` DROP `" . $_field . "`;");
			} catch (Exception $e) {
				//echo '<b>' . $e->getMessage() . '</b><br/>';
			}
		}
	}

	//remove static blocks
	foreach($_cmsBlocks as $_identifier){
		$setup->run("DELETE FROM `" . $resource->getTableName('cms_block') . "` WHERE `identifier` = '".$_identifier."';");
	}

	//remove config
	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  '".$_mobulePrefix."/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = '".$_mobulePrefix."_setup'");



	$basePath = dirname(__FILE__);
	foreach ($_pathes as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	exec('rm -rf ' . $basePath . '/var/cache');
	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';
?>
